Subject: Re: Perl Tk does not install--need help
From: Larry Hall <[email-masked]>
To: Selva Karthik <[email-masked]>, [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Tue, 28 Jun 2005 11:39:05 -0400

At 03:19 AM 6/28/2005, you wrote:
>Hi
>
>I'm new to CYGWIN....
>I installed perl via Cygwin installation utility...
>now i want to install perl Tk in my system.. i downloaded Tk-804.027.tar.gz
>it gives a error msg like this
>**********************************************************************************
>../pTk/mTk/xlib/X11/Xlib.h:1206:35: ../pTk/tkIntXlibDecls.h: No such file or directory

<snip>

>Guide me to install perl tk with out errors...plz

I've never built perl or perl TK but it looks to me like you're missing the
perl TK tkIntXlibDecls.h file.  See if it's in your tar file.  If not, that's 
a problem.  You'll need to find out from the authors why that is (or do some
more hunting yourself).

This doesn't strike me as a Cygwin issue.  It's probably a perl TK issue.
You might want to visit the perl TK home page to find some answers.

--
Larry Hall                              http://www.rfk.com
RFK Partners, Inc.                      (508) 893-9779 - RFK Office
838 Washington Street                   (508) 893-9889 - FAX
Holliston, MA 01746                     

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/